Qt 5.6 | Qt Platform Headers | C++ Classes | QEglFSFunctions

Qt 5.6.2 Reference Documentation

# QEglFSFunctions Class

The QEglFSFunctions class is an inline class containing platform-specific functionality for the eglfs platform plugin that is typically used on systems running Embedded Linux or Android. More...

Header: | #include <QEglFSFunctions>

- List of all members, including inherited members

## Public Types

typedef | LoadKeymapType

## Static Public Members

void | loadKeymap(const QString &filename)
QByteArray | loadKeymapTypeIdentifier()

## Detailed Description

The QEglFSFunctions class is an inline class containing platform-specific functionality for the eglfs platform plugin that is typically used on systems running Embedded Linux or Android.

Note: There is no binary compatibility guarantee for this class, meaning that an application using it is only guaranteed to work with the Qt version it was developed against.

## Member Type Documentation

### typedef QEglFSFunctions::LoadKeymapType

Function type for loadKeymap.

## Member Function Documentation

### `[static]` void QEglFSFunctions::loadKeymap(const QString &filename)

Loads and switches to the keymap from filename. When filename is empty, the default keymap, which is either the built-on one or the keymap given in the plugin specification, is restored.

Note: This is functional only when the evdev keyboard support code is compiled in to the platform plugin. When using external generic plugins via the `-plugin` argument, or when the environment variable `QT_QPA_EGLFS_DISABLE_INPUT` is set or when building Qt without evdev support, this function will have no effect.

### `[static]` QByteArray QEglFSFunctions::loadKeymapTypeIdentifier()

Returns the identifier that can be passed to QGuiApplication::platformFunction() to query the entry point for the loadKeymap function implementation.